Bug 830400 - Firefox CPU load issue on visiting some sites
Firefox CPU load issue on visiting some sites
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
17
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 03:43 EDT by Erick
Modified: 2013-08-01 07:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:08:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace during 10 seconds of firefox process, while doing nothing in UI (3.71 KB, application/octet-stream)
2012-06-09 03:43 EDT, Erick
no flags Details

  None (edit)
Description Erick 2012-06-09 03:43:44 EDT
Created attachment 590560 [details]
strace during 10 seconds of firefox process, while doing nothing in UI

Description of problem: CPU load on visiting some sites (e.g. doing a test on www.duolingo.com) jumps to 80%-90%. When stracing the function call gettimeofday is extremely often returned, even when I do nothing in the UI!


Version-Release number of selected component (if applicable): Fedora 17, Firefox 13.0-1.


How reproducible: always


Steps to Reproduce:
1. do a test on www.duolingo.com
2. wait (do nothing in UI)
3. CPU stays high and when stracing firefox process the gettimeofday function called extremely often even when doing nothing in the UI.
  
Actual results: CPU usage jumps to 80-90% while doing a test and stays there.


Expected results: after stopping work in firefox UI CPU usage for firefox should drop back to normal. 


Additional info: attachment of strace
Comment 1 Martin Stransky 2012-06-21 05:26:10 EDT
I see the high CPU only when the video is played. Without the video, CPU is low. Can you check it?
Comment 2 Erick 2012-06-21 23:51:02 EDT
Since I'm watching few movies through firefox I had a look at my other surfing behaviour. What seems to be generally happening is that, when performing a CPU intensive activity in the UI in firefox, is that the page is loaded, but the CPU continues to be busy for a long time after loading the page. When I do absolutely nothing in the GUI for the next couple of minutes the CPU load of the firefox process very slowly starts to drop off.
Comment 3 Martin Stransky 2012-07-31 10:08:06 EDT
Can you please try to reproduce with binaries from mozilla.org?
Comment 4 Erick 2012-08-27 01:42:44 EDT
Hi,

Since last saturday the problem is gone. Alas, I can't pinpoint exactly which package update did it since I returned last saturday from holiday and applied then all package updates which came available since August 12th. However CPU load when using firefox has not come above the 10% threshold. So, at least for me, this bug can be closed.
Comment 5 Fedora End Of Life 2013-07-03 23:29:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 07:08:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.